
#include <p18f4550.h>

#include "h/SPI.h"
#include "h/Utilitaires.h"
#include "h/Parametres.h"


void InitialisationSPI(void)
{
	/* CKE = 1, CKP = 0 */
	SSPSTAT = 0x40;	
	SSPCON1 = 0x21;
}

void EcrireSPI(unsigned char Donnee)
{
	SSPBUF = Donnee;
}

unsigned char LireSPI(void)
{
	SSPBUF = 0x00;	/* Envoi d'une donne quelconque pour gnrer l'horloge, permettant  l'esclave de rpondre */

	while(SSPSTATbits.BF == 0);	/* Bouclage tant que le module du SPI nie signale pas qu'il a reu de nouvelle donne */	
	
	return SSPBUF;
}

unsigned char EcrireRegistreMAX7219(unsigned char Instruction, unsigned char Donnee)
{
	BROCHE_LOAD_MAX7219 = 0;	/* LOAD_MAX7219 = 0 */

	SSPBUF = Instruction;
	Delai(1);	/* Delai au moins tant que le module du SPI est occup */

	SSPBUF = Donnee;
	Delai(1);	/* Delai au moins tant que le module du SPI est occup */

	return 0x01;
}

unsigned char EcrireOctetsMAX7219_1_2(unsigned char Instruction1, unsigned char Donnee1, unsigned char Instruction2, unsigned char Donnee2)
{
	unsigned char k;

	unsigned char Tampon;

	BROCHE_CLK_MAX7219 = 0;

	BROCHE_LOAD_MAX7219 = 0;	/* LOAD_MAX7219 = 0 */
	
	Tampon = Instruction1;

	for(k = 0; k < 8; k++)
	{
		BROCHE_CLK_MAX7219 = 0;

		if((Tampon & (1 << (7 - k))))
		{
			BROCHE_DIN_MAX7219 = 1;
		}
		else
		{
			BROCHE_DIN_MAX7219 = 0;
		}

		BROCHE_CLK_MAX7219 = 1;
	}

	Tampon = Donnee1;

	for(k = 0; k < 8; k++)
	{
		BROCHE_CLK_MAX7219 = 0;

		if((Tampon & (1 << (7 - k))))
		{
			BROCHE_DIN_MAX7219 = 1;
		}
		else
		{
			BROCHE_DIN_MAX7219 = 0;
		}

		BROCHE_CLK_MAX7219 = 1;
	}

	Tampon = Instruction2;

	for(k = 0; k < 8; k++)
	{
		BROCHE_CLK_MAX7219 = 0;

		if((Tampon & (1 << (7 - k))))
		{
			BROCHE_DIN_MAX7219 = 1;
		}
		else
		{
			BROCHE_DIN_MAX7219 = 0;
		}

		BROCHE_CLK_MAX7219 = 1;
	}

	Tampon = Donnee2;

	for(k = 0; k < 8; k++)
	{
		BROCHE_CLK_MAX7219 = 0;

		if((Tampon & (1 << (7 - k))))
		{
			BROCHE_DIN_MAX7219 = 1;
		}
		else
		{
			BROCHE_DIN_MAX7219 = 0;
		}

		BROCHE_CLK_MAX7219 = 1;
	}

	BROCHE_CLK_MAX7219 = 0;

	BROCHE_LOAD_MAX7219 = 1;	/* LOAD_MAX7219 = 1 */

	return 0x01;
}


