


/* Dfinitions des adresses, sur le bus I2C, des diffrents priphriques */

#define ADRESSE_CAPTEUR_TEMPERATURE 0x90

#define ADRESSE_HORLOGE_TEMPS_REEL 0xD0


/* Dfinitions des constantes d'affichages */

#define AFFICHAGE_MASQUE_TOUR 0x80

#define AFFICHAGE_MASQUE_VIRGULE 0x60
#define AFFICHAGE_MASQUE_POINT 0x40
#define AFFICHAGE_MASQUE_DEUX_POINTS 0x30

#define AFFICHAGE_MASQUE_SYMBOLES 0x0F


/* Dfinitions des diffrents broches utilises pour les commandes des circuits d'affichages */

#define DIRECTION_LOAD_MAX7219 TRISCbits.TRISC0
#define DIRECTION_DIN_MAX7219 TRISCbits.TRISC2
#define DIRECTION_CLK_MAX7219 TRISCbits.TRISC1

#define DIRECTION_I2C_SDA TRISBbits.TRISB4
#define DIRECTION_I2C_SCL TRISBbits.TRISB6

#define DIRECTION_32_KHZ_DS3231 TRISAbits.TRISA5
#define DIRECTION_INT_SQW_DS3231 TRISAbits.TRISA0

#define DIRECTION_BOUTON_1 TRISAbits.TRISA2
#define DIRECTION_BOUTON_2 TRISAbits.TRISA4
#define DIRECTION_BOUTON_3 TRISBbits.TRISB5
#define DIRECTION_BOUTON_4 TRISBbits.TRISB7

#define BROCHE_I2C_SDA PORTBbits.PORTB4
#define BROCHE_I2C_SCL PORTBbits.PORTB6

#define BROCHE_LOAD_MAX7219 PORTCbits.RC0
#define BROCHE_DIN_MAX7219 PORTCbits.RC2
#define BROCHE_CLK_MAX7219 PORTCbits.RC1

#define BROCHE_32_KHZ_DS3231 PORTAbits.RA5
#define BROCHE_INT_SQW_DS3231 PORTAbits.RA0

#define BROCHE_BOUTON_1 PORTAbits.RA2
#define BROCHE_BOUTON_2 PORTAbits.RA4
#define BROCHE_BOUTON_3 PORTBbits.RB5
#define BROCHE_BOUTON_4 PORTBbits.RB7


#define INTERRUPTION_MASQUE_BOUTON_1 0x04
#define INTERRUPTION_MASQUE_BOUTON_2 0x10
#define INTERRUPTION_MASQUE_BOUTON_3 0x20
#define INTERRUPTION_MASQUE_BOUTON_4 0x80


/* Dfinitions des diffrents modes de fonctionnements possibles */

#define FONCTION_AFFICHAGE_HEURE 0x01
#define FONCTION_AFFICHAGE_DATE 0x02
#define FONCTION_AFFICHAGE_TEMPERATURE 0x03
#define FONCTION_AFFICHAGE_VARIABLE 0x04


/* Dfinitions des diffrents styles d'affichages des secondes possibles */

#define STYLE_POINTS_NEGATIF 0x00
#define STYLE_POINTS_POSITIF 0x01
#define STYLE_RUBAN_NEGATIF 0x02
#define STYLE_RUBAN_POSITIF 0x03
#define STYLE_RUBAN_PSEUDO_ALEATOIRE_NEGATIF 0x04
#define STYLE_RUBAN_PSEUDO_ALEATOIRE_POSITIF 0x05
#define STYLE_RUBAN_ETEINT_DEUX_POINTS_CLIGNOTANTS 0x06
#define STYLE_RUBAN_ETEINT_DEUX_POINTS_FIXES 0x07


#define PROGRESSIF_DESACTIVE 0x00
#define PROGRESSIF_ACTIVE 0x01

/* Definitions des paramtres par dfaut */

#define PARAMETRE_PAR_DEFAUT_FONCTION FONCTION_AFFICHAGE_HEURE
#define PARAMETRE_PAR_DEFAUT_STYLE STYLE_RUBAN_POSITIF
#define PARAMETRE_PAR_DEFAUT_PROGRESSIF PROGRESSIF_DESACTIVE
#define PARAMETRE_PAR_DEFAUT_LUMINOSITE 0x01


/* Dfinitions des diffrents modes d'affichage de la temprature intrieure */

#define ENDROIT_AFFICHAGE_TEMPERATURE 0x01



